Subject: Ticket Assigned - Hello,=0AMy name is Abeer Irfan.=0AI wanted to ask about order inquiries.=0AI have ordered 2 days ago and ...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 21 Jun 2020 07:49:16 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hello,
My name is Abeer Irfan.
I wanted to ask about order inquiries.
I have ordered 2 days ago and ... Hello,
My name is Abeer Irfan.
I wanted to ask about order inquiries.
I have ordered 2 days ago and still haven’t received it yet. And I can’t verify my phone number in the application. I have paid online and my order number is 8388224860
Can I please get the information.
And the customer service is very poor, they haven’t talked properly and cut the call. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1237390